
<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="UTF-8" content>
    <meta name="viewport" content="width=device-width, initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="referrer" content="origin">
    <meta name="description" content="Watch kids like Nursery rhymes, kids songs videos, all in one! Learning and playing H5 games!">
    <title>H5games</title>
    <link rel="shortcut icon" href=https://vassets.h5games.fun/icons/h5games-favicon.webp type="image/x-icon">
    
    <script type="text/javascript" src="https://vassets.h5games.fun/kidslearn_V5/js/json2.js"></script>
    
    <script async src="https://pagead2.googlesyndication.com/pagead/js/adsbygoogle.js?client=ca-pub-9446097154137176" crossorigin="anonymous" data-ad-frequency-hint="30s"></script>
    <script type="text/javascript" src="https://imasdk.googleapis.com/js/sdkloader/ima3.js"></script>
    <link rel="manifest" href="/main.webmanifest">
    <script>
        
        window.adsbygoogle = window.adsbygoogle || [];
        const adBreak = adConfig = function(o) { adsbygoogle.push(o);}
        window.dataLayer = window.dataLayer || [];
        
        if ('serviceWorker' in navigator) {
            window.addEventListener('load', function() {
                navigator.serviceWorker.register('/serviceworker-7.js').then(function(registration) {
                console.log('ServiceWorker registration successful with scope: ', registration.scope);
                }).catch(function(err) {
                
                });
            });
            window.addEventListener('beforeinstallprompt', (event) => {
                window.deferredPrompt = event;
            });
            window.addEventListener('appinstalled', (event) => {
                window.deferredPrompt = null;
            });
        }
    </script>

    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start': new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src='https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);})(window,document,'script','dataLayer',"GTM-KNT8HVH");</script>
        
    
    <script type="text/javascript" src="/statics/js/base.js"></script>

    <link rel="stylesheet" href="/statics/css/channel.css" type="text/css" media="screen">
</head>

<body style="background-color: #00BBB2">
    <div id="installContainer" style="display: none;"></div>
    


<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-KNT8HVH" height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>


<header class="header">
    <div class="mantle"></div>
    <div class="top">
        <div class="topL">
            <div class="showBtn">
                <img src="/statics/image/menu.webp" alt="menu">
            </div>
            <a class="logo" href="/v2" aria-label="go home">
                <img class="btn" src=https://vassets.h5games.fun/icons/h5games-logo.webp alt="logo icon">
            </a>
        </div>
        <ul class="topR">
            
            <li class="topRList">
                <a class="item" href="/gameList" aria-label="open gameList">
                    <img src="/statics/image/games_white.webp" alt="game icon">
                    <p>Games</p>
                    <div class="item_click" id="game"></div>
                </a>
            </li>
        </ul>
    </div>
    <div class="siderbar">
        <div class="closeBtn">
            <img class="closeBtnImg lazyImg" src="/statics/image/square-loading.webp" data-src="/statics/image/close.webp" alt="close">
        </div>
        
        <div class="sideTop">
            <a class="sideLeft" href="/gameList" aria-label="open gameList">
                <img class="colorIcon" src="/statics/image/games_color.webp" alt="game icon">
                <span class="sideTitle">Games</span>
            </a>
            <div class="sideRight">
                <img class="topArrow" src="/statics/image/top_arrow.webp" alt="top arrow" onclick="hiddenMore(1)">
                <img class="bottomArrow" src="/statics/image/bottom_arrow.webp" alt="bottom arrow" onclick="showMore(1)">
            </div>
        </div>
        <ul class="sideList">
            
            <li class="item">
                <a href="/gameChannel/Girls" aria-label="open Girls channel">
                    <div class="icon">
                        <img class="img lazyImg" src="/statics/image/square-loading.webp" data-src="https://vassets.h5games.fun/icons/girls_games.webp" alt="Girls">
                    </div>
                    <p class="title">Girls</p>
                </a>
            </li>
            
            <li class="item">
                <a href="/gameChannel/Action" aria-label="open Action channel">
                    <div class="icon">
                        <img class="img lazyImg" src="/statics/image/square-loading.webp" data-src="https://vassets.h5games.fun/icons/action_games.webp" alt="Action">
                    </div>
                    <p class="title">Action</p>
                </a>
            </li>
            
            <li class="item">
                <a href="/gameChannel/Racing" aria-label="open Racing channel">
                    <div class="icon">
                        <img class="img lazyImg" src="/statics/image/square-loading.webp" data-src="https://vassets.h5games.fun/icons/racing_games.webp" alt="Racing">
                    </div>
                    <p class="title">Racing</p>
                </a>
            </li>
            
            <li class="item">
                <a href="/gameChannel/Puzzle" aria-label="open Puzzle channel">
                    <div class="icon">
                        <img class="img lazyImg" src="/statics/image/square-loading.webp" data-src="https://vassets.h5games.fun/icons/puzzle_games.webp" alt="Puzzle">
                    </div>
                    <p class="title">Puzzle</p>
                </a>
            </li>
            
            <li class="item">
                <a href="/gameChannel/Shooting" aria-label="open Shooting channel">
                    <div class="icon">
                        <img class="img lazyImg" src="/statics/image/square-loading.webp" data-src="https://vassets.h5games.fun/icons/shooting_games.webp" alt="Shooting">
                    </div>
                    <p class="title">Shooting</p>
                </a>
            </li>
            
            <li class="item">
                <a href="/gameChannel/Arcade" aria-label="open Arcade channel">
                    <div class="icon">
                        <img class="img lazyImg" src="/statics/image/square-loading.webp" data-src="https://vassets.h5games.fun/icons/arcade_game.webp" alt="Arcade">
                    </div>
                    <p class="title">Arcade</p>
                </a>
            </li>
            
            <li class="item">
                <a href="/gameChannel/Quiz" aria-label="open Quiz channel">
                    <div class="icon">
                        <img class="img lazyImg" src="/statics/image/square-loading.webp" data-src="https://vassets.h5games.fun/icons/quiz_games.webp" alt="Quiz">
                    </div>
                    <p class="title">Quiz</p>
                </a>
            </li>
            
        </ul>
    </div>
</header>
<script>
    
    var body = document.getElementsByTagName("body")[0];
    var showBtn = document.getElementsByClassName("showBtn")[0];
    var siderbar = document.getElementsByClassName("siderbar")[0];
    var mantle = document.getElementsByClassName("mantle")[0];
    var closeBtn = document.getElementsByClassName("closeBtn")[0];
    showBtn.onclick = function () {
        siderbar.style.left = "0rem";
        mantle.style.display = "block";
        body.style.overflow = "hidden";
    }
    closeBtn.onclick = function () {
        siderbar.style.left = "-100%";
        mantle.style.display = "none";
        body.style.overflow = "scroll";
    }
    mantle.onclick = function () {
        siderbar.style.left = "-100%";
        mantle.style.display = "none";
        body.style.overflow = "scroll";
    }

    showMore(0);
    showMore(1);
    
    function hiddenMore(num) {
        var topArrow = document.getElementsByClassName("topArrow")[num];
        topArrow.style.display = "none";
        var bottomArrow = document.getElementsByClassName("bottomArrow")[num];
        bottomArrow.style.display = "block";
        var list = document.getElementsByClassName("sideList")[num];
        list.style.display = "none";
    }
    
    function showMore(num) {
        var topArrow = document.getElementsByClassName("topArrow")[num];
        topArrow.style.display = "block";
        var bottomArrow = document.getElementsByClassName("bottomArrow")[num];
        bottomArrow.style.display = "none";
        var list = document.getElementsByClassName("sideList")[num];
        list.style.display = "flex";
    }
    
    function scrollDirect(fn) {
        var beforeScrollTop = document.documentElement.scrollTop;  
        fn = fn || function() {};
        window.addEventListener("scroll", function(event) {
            event = event || window.event;
            var afterScrollTop = document.documentElement.scrollTop; 
            

            
            delta = afterScrollTop - beforeScrollTop;
            beforeScrollTop = afterScrollTop;

            var scrollTop = document.documentElement.scrollTop;   
            

            var scrollHeight = document.documentElement.clientHeight;  
            

            var windowHeight = document.body.clientHeight;    
            
            
            if (afterScrollTop < 3 || afterScrollTop > windowHeight - 3) {
                fn('up');
            } else {
                if (Math.abs(delta) < 3) {
                    return false;
                }
                fn(delta > 0 ? "down" : "up");
            }
            
        }, false);
    }

    var upFlag = 1;
    var downFlag = 1;
    var header = document.getElementsByClassName("header")[0];
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    

</script>

    
    <div class="channelWrap warp" style="background-color: #00BBB2">
        <div class="content">
            
            
            <ul class="typeList">
                
                
            </ul>
        </div>
    </div>
    
<div class="footerWrap">
    <a href="/v2" class="logoLink" aria-label="go home">
        <img class="logoImg" src=https://vassets.h5games.fun/icons/h5games-logo.webp alt="logo icon">
        
    </a>
    
        <div class="tabbar">
            <a  href="/about" aria-label="open about">ABOUT US</a>
            <a  href="/privacy" aria-label="open privacy">PRIVACY</a>
            <a  href="/copyright" aria-label="open copyright">COPYRIGHT</a>
            <a  href="/content" aria-label="open content">CONTENT</a>
            <a  href="/terms" aria-label="open terms">T&C</a>
        </div>
        <div class="trademark">©2023 H5games Entertainment Ltd</div>
    
    <img class="footer lazyImg" src="/statics/image/loading.webp" data-src="/statics/image/footer.png" alt="footer">
</div>

<div class="cookie-notice-container">
    <div class="container">
        We use cookies to improve your experience on our website. By using this site you agree to our use of cookies. 
        <a href="/privacy"  aria-label="open privacy">Privacy</a> <button class="agree-cookies" onclick="addCookie()">Agree</button>
    </div>
</div>
    
    <script>
        
        function ajax(options) {
            var xhr = null;
            var params = formsParams(options.data);
            
            if (window.XMLHttpRequest) {
                xhr = new XMLHttpRequest()
            } else {
                xhr = new ActiveXObject("Microsoft.XMLHTTP");
            }
            
            if (options.type == "GET") {
                xhr.open(options.type, options.url + "?" + params, options.async);
                xhr.send(null)
                if(xhr.status === 200) {
                    options.success(xhr.responseText)
                }
            } else if (options.type == "POST") {
                xhr.open(options.type, options.url, options.async);
                xhr.setRequestHeader("Content-Type", "application/x-www-form-urlencoded;charset=utf-8");
                xhr.send(params);
                xhr.onreadystatechange = function () {
                    if (xhr.readyState == 4 && xhr.status == 200) {
                        options.success(xhr.responseText);
                    }
                }
            }

            function formsParams(data) {
                var arr = [];
                for (var prop in data) {
                    arr.push(prop + "=" + data[prop]);
                }
                return arr.join("&");
            }
        }
    </script>
    <script>
        if(document.getElementById('installContainer')){
            document.getElementById('installContainer').addEventListener('click', async () => {
                console.log('installContainer-clicked');
                const promptEvent = window.deferredPrompt;
                if (!promptEvent) {
                    return;
                }
                promptEvent.prompt();
                const result = await promptEvent.userChoice;
                window.deferredPrompt = null;
                document.getElementById('installContainer').style.display = "none";
                console.log("click....")
                dataLayer.push({"event":"gaEvent", "opt":"clickA2HS"})
            });
        }

        var currentUrl = window.location.pathname;
        
        var cookieValue = document.cookie;
        var cookiecontainer = document.getElementsByClassName("cookie-notice-container")[0];
        if ((currentUrl == "/" || currentUrl == "/index" || currentUrl == "/v2" || currentUrl == "/home" ) && cookieValue.indexOf('AgreeCookies') === -1) {
            cookiecontainer.style.display = "block";
        } else {
            cookiecontainer.style.display = "none";
        }

        function addCookie() {
            var user = "AgreeCookies";
            function setCookies(e, t, n) {
                var r = new Date;
                r.setTime(r.getTime() + 24 * n * 60 * 60 * 1e3);
                var i = "expires=" + r.toGMTString();
                document.cookie = e + "=" + t + "; " + i + ";path=/";
                cookiecontainer.style.display = "none";
            }
            setCookies("AgreeCookies", user, 30)
        }

        
        function lazyImg(){
            const images = document.querySelectorAll(".lazyImg")
            const observer = new IntersectionObserver((entries = []) => {
                entries.forEach(item => {
                    if (item.isIntersecting) {
                        const img = item.target
                        img.setAttribute('src', img.getAttribute('data-src'))
                        observer.unobserve(img)
                    }
                })
            })

            images.forEach(image => {
                observer.observe(image);
            })
        }
        lazyImg();

        
        document.ready = function(callback) {
            if (document.addEventListener) {
                document.addEventListener("DOMContentLoaded",
                function() {
                    document.removeEventListener("DOMContentLoaded", arguments.callee, false);
                    callback()
                },
                false)
            } else {
                if (document.attachEvent) {
                    document.attachEvent("onreadystatechange",
                    function() {
                        if (document.readyState == "complete") {
                            document.detachEvent("onreadystatechange", arguments.callee);
                            callback()
                        }
                    })
                } else {
                    if (document.lastChild == document.body) {
                        callback()
                    }
                }
            }
        };

        
        var typeNum;
        var vCont;
        var AdTypeCpc = JSON.parse("");
        

        
        function uuid() {
            return 'xxxxxxxx-xxxx-4xxx-yxxx-xxxxxxxxxxxx'.replace(/[xy]/g, function (c) {
                var r = Math.random() * 16 | 0,
                    v = c == 'x' ? r : (r & 0x3 | 0x8);
                return v.toString(16);
            });
        }
        
        var userID = uuid();
        if(localStorage.getItem('userID') === "undefined" ||localStorage.getItem('userID') === null ){
            window.localStorage.setItem("userID",userID);
        } else {
            userID = localStorage.getItem('userID');
        }

        document.ready(function() {
            var ad_type = "";
            var clickone = false;
            var ads = document.getElementsByClassName("adsbygoogle")
            for (var i=0, len=ads.length|0; i<len; i=i+1|0) {
                ads[i].addEventListener( 'mouseover', function (e) {
                    ad_type = "PAGE"; 
                    typeNum = 1;
                    vCont = AdTypeCpc[1];
                    console.log("enter.", ad_type)
                })
                ads[i].addEventListener( 'mouseout', function (e) {
                    ad_type = "";
                    console.log("out.", ad_type)
                })
            }
            window.addEventListener("beforeunload", (event) => {
                
                clickone = true;
                
            });
            document.addEventListener('visibilitychange', function(e) {
                console.log(document.visibilityState, ad_type)
                if(clickone == false) {
                    for (var i = 0; i < ads.length; i++){
                        if (ads[i].getAttribute('tabindex') == "0") {
                            if (ads[i].getAttribute( 'data-vignette-loaded') == "true"  && ads[i].getAttribute( 'aria-hidden') == "false") {
                                ad_type = "INTER"; 
                                typeNum = 2;
                                vCont = AdTypeCpc[2];
                            }
                            if (ads[i].getAttribute( 'data-slotcar-interstitial') == "true"  && ads[i].getAttribute( 'aria-hidden') == "false") {
                                ad_type = "MANUAL"; 
                                typeNum = 3;
                                vCont = AdTypeCpc[3];
                            }
                            if (ads[i].getAttribute( 'data-slotcar-rewarded') == "true" && ads[i].getAttribute( 'aria-hidden') == "false") {
                                ad_type = "REWORDS"; 
                                typeNum = 4;
                                vCont = AdTypeCpc[4];
                            }
                            
                            clickone = true;
                            
                            break
                        }
                    }
                }
                if (document.visibilityState == "hidden") {
                    if(ad_type != ""){
                        allPoint(); 
                        ad_type = "";
                    }
                } else {
                    ad_type = "";
                }
            }, false)

            function allPoint(){
                dataLayer.push({"event":"cv", "value":vCont, "geo": AdTypeCpc.geo, "adformat": ad_type});
                dataLayer.push({"event":"gaEvent", "opt":"adc", "label": AdTypeCpc.geo, "category": ad_type, "value": vCont});
            }
        })
       
    </script>

    
    <script>
          
        function setCookie(name,value,seconds) {
            var expires = "";
            if (seconds) {
                var date = new Date();
                date.setTime(date.getTime() + (seconds*1000));
                expires = "; expires=" + date.toUTCString();
            }
            document.cookie = name + "=" + (value || "")  + expires + "; path=/";
        }
            
        function getCookie(name) {
            var nameEQ = name + "=";
            var ca = document.cookie.split(';');
            for(var i=0;i < ca.length;i++) {
                var c = ca[i];
                while (c.charAt(0)==' ') c = c.substring(1,c.length);
                if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);
            }
            return null;
        }
    </script>
    <script>
        var plateform = "desktop";
        
        
        var page = 1; 
        var pageSize = 36;
        var pageCount = 1;
        var itemList = [];
        var dataCount = 1;
        var adsIndex = 0;
        
        var type = "index";
        var tag = ""
        
        var apiStr = '';
        var video = document.getElementById("video");
        var game = document.getElementById("game");
        if (type == "video") {
            video.style.display = "block";
            apiStr = "videoListApi";
        } else if (type == "game") {
            game.style.display = "block";
            apiStr = "gameListApi";
        } else if(type == "index"){
            var channelWrap = document.getElementsByClassName('channelWrap')[0];
            channelWrap.style.padding = 0;
            var content = document.getElementsByClassName('content')[0];
            content.style.background = "#ffffff00";
            apiStr = "gameListApi";
        } else {
            apiStr = "gameListApi";
        }

        var vids = getCookie("cookie-vids");

        listContent(page);

        function itemLi(listData){
            var newList = document.getElementsByClassName('typeList')[0];
            var newItem = document.createElement("li");
            newItem.setAttribute("class","listItem");
            var newLink = document.createElement("a");
            newLink.setAttribute("class","item");
            newLink.setAttribute("href", listData.pageLink);
            newLink.setAttribute("aria-label", listData.title);
            
            newList.appendChild(newItem);
            newItem.appendChild(newLink);
            var itemImg = document.createElement("div");
            itemImg.setAttribute("class","itemImg");
            var videoImg = document.createElement("img");
            videoImg.setAttribute("class","image-thumb lazyImg");
            videoImg.setAttribute("src", "/statics/image/loading.gif");
            videoImg.setAttribute("data-src", listData.thumb);
            videoImg.setAttribute("alt", listData.title);
            var videoTitle = document.createElement("p");
            videoTitle.setAttribute("class","details textShow");
            videoTitle.innerText = listData.title;
            var typeIcon = document.createElement("img");
            typeIcon.setAttribute("class","typeIcon lazyImg");
            if (type == "video") {
                typeIcon.setAttribute("src", "/statics/image/loading.webp");
                typeIcon.setAttribute("data-src", "/statics/image/videos_color.webp");
                typeIcon.setAttribute("alt", "video icon");
            } else {
                typeIcon.setAttribute("src", "/statics/image/loading.webp");
                typeIcon.setAttribute("data-src", "/statics/image/games_color.webp");
                typeIcon.setAttribute("alt", "game icon");
            }

            
            newLink.appendChild(itemImg);
            itemImg.appendChild(videoImg);
            newLink.appendChild(typeIcon);
            newLink.appendChild(videoTitle);
        }

        
        function createAdsLi(addli){
            var newItem = document.createElement("li");
            newItem.setAttribute("class", "portraitAd ad-li");
            var adsDiv = document.createElement('div');
            adsDiv.setAttribute('class',"ad-box ads-1");
            adsDiv.setAttribute('style',"height: auto !important;");
            var ins = document.createElement('ins');
            ins.setAttribute('aria-label','Advertisement');
            ins.setAttribute('class','adsbygoogle');
            ins.setAttribute('data-ad-client','ca-pub-9446097154137176');
            if (type == "video") {
                ins.setAttribute('data-ad-slot', "5467754331");
            } else {
                ins.setAttribute('data-ad-slot', "7939371986");
            }
            ins.setAttribute('data-ad-format','auto');
            ins.setAttribute('style','display: inline-block; width: 100%; margin: 0px auto;');
            ins.setAttribute('data-full-width-responsive','true');
            var scriptBox =document.createElement('script');
            scriptBox.innerHTML = "(window.adsbygoogle = window.adsbygoogle || []).push({})";
            adsDiv.appendChild(ins);
            adsDiv.appendChild(scriptBox);
            newItem.appendChild(adsDiv);
            addli.appendChild(newItem);
        }

        function listContent(page) {            
            
            ajax({
                type: "GET",
                url:  "/" + apiStr,
                async: false,
                data: {
                    "type": type,
                    "tag": tag,
                    "page": page,
                    "pageSize": pageSize,
                    "cookie-vids": vids,
                },
                success: function (data) {
                    
                    var date = JSON.parse(data);
                    
                    pageCount = date.PageCount;
                    itemList = date.Datas;
                    var newList = document.getElementsByClassName('typeList')[0];
                    if(plateform == "tablet"){
                        for (var i = 0; i < itemList.length; i++) {
                            if (dataCount == 3) {
                                itemLi(itemList[i]);
                                createAdsLi(newList);
                                adsIndex += 1;
                            } else {
                                itemLi(itemList[i]);
                            }
                            dataCount++;
                        }    
                        lazyImg();
                    } else {
                        for ( var i = 0; i < itemList.length; i++) {
                            itemLi(itemList[i]);
                        }
                        lazyImg();
                    }
                }
            });
        }

        var viewHeight = document.documentElement.clientHeight;
        function GetRect(element) {
            let rectbox = element.getBoundingClientRect();
            let top = document.documentElement.clientTop ? document.documentElement.clientTop : 0;
            let left = document.documentElement.clientLeft ? document.documentElement.clientLeft : 0;
            return {
                top: rectbox.top - top,
                bottom: rectbox.bottom - top,
                left: rectbox.left - left,
                right: rectbox.right - left
            }
        }

        let moreFlag = document.querySelector('.footerWrap');
        window.onscroll = function () {
            let obj = GetRect(moreFlag)
            if (obj.top < viewHeight && obj.bottom >= viewHeight) {
                
                let is_running = true;
                
                if(is_running && page < pageCount){
                    page += 1;
                    listContent(page);
                    is_running = false;
                }
            }
        };
        
        window.onscroll = function(){
            
            var scrollTop = document.documentElement.scrollTop||document.body.scrollTop;
            
            var windowHeight = document.documentElement.clientHeight || document.body.clientHeight;
            
            var scrollHeight = document.documentElement.scrollHeight || document.body.scrollHeight;
            
    
            
            if(scrollTop + windowHeight >= scrollHeight){
                
                let is_running = true;
                
                if(is_running && page < pageCount){
                    page += 1;
                    listContent(page);
                    is_running = false;
                }
            }
        }

    </script>
    </body>
</html>
